Subject: Re: [U-Boot-Users] [PATCH: dtc take 2] Assemble the blob in memory before writing it out.

From: Jerry Van Baren <[email-masked]>
Date: Thu, 19 Apr 2007 19:45:45 -0400

Jon Loeliger wrote:
> So, like, the other day Jerry Van Baren mumbled:
>> Patch #2 and #3...
>>    [PATCH dtc take 3] Fix reserve map output for asm format.
>>    Tue, 17 Apr 2007 18:14:41 -0400
>>    [PATCH: dtc take 2] Assemble the blob in memory before writing it out.
>>    Wed, 18 Apr 2007 21:59:51 -0400
> 
> [snip]
> 
>> AAAARGH!  Sorry, I see I left a debug statement in flattree.c around 
>> line 390:
> 
>> Your option:
>> 1) Take the last two patches as is and remove the fprintf yourself
> 
> 
> Applied #2 and #3 listed above.
> Cleaned out the debug fprintf().
> 
> Thanks,
> jdl

Oh oh, does NOT look good.  I lost the rewrite of the header size with 
the new, bigger size when -S is specified.

Ahh, I think I see the problem, sloppy programming bites me again. 
Modifying "bph.totalsize" worked before I changed to the struct data 
blob.  Grrrr.   I need to figure out the padding and apply it to the bph 
before starting the blob assembly.  Before the line:

         blob = data_append_data(blob, &bph, sizeof(bph));

Patch will take a bit because I have a meeting to go to :-(.

sorry,
gvb